Package org.h2.tools

# Enum Class CompressionType

java.lang.Object
java.lang.Enum<CompressionType>
org.h2.tools.CompressionType

All Implemented Interfaces:
  `Serializable`, `Comparable<CompressionType>`, `Constable`

public enum CompressionType extends Enum<CompressionType>
Compression types for SQL output

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`BZIP2`
`DEFLATE`
`GZIP`
`KANZI`
`LZF`
`NONE`
`ZIP`

## Method Summary

Modifier and Type
Method
Description
`static CompressionType`
`from(String type)`
`static CompressionType`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompressionType[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NONE

public static final CompressionType NONE

### GZIP

public static final CompressionType GZIP

### ZIP

public static final CompressionType ZIP

### BZIP2

public static final CompressionType BZIP2

### KANZI

public static final CompressionType KANZI

### DEFLATE

public static final CompressionType DEFLATE

### LZF

public static final CompressionType LZF

## Method Details

### values

public static CompressionType[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompressionType valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### from

public static CompressionType from(String type)